Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.jsword.index.lucene.analysis
Class LuceneAnalyzer

    java.lang.Object
      org.apache.lucene.analysis.Analyzer
          org.crosswire.jsword.index.lucene.analysis.LuceneAnalyzer

All Implemented Interfaces:
  Closeable

    public class LuceneAnalyzer

extends org.apache.lucene.analysis.Analyzer

A specialized analyzer for Books that analyzes different fields differently. This is book specific since it is possible that each book has specialized search requirements. Uses AnalyzerFactory for InstalledIndexVersion > 1.1

Author:
  DM Smith
See Also:
  `The GNU Lesser General Public License for details.`

Field Summary
`private org.apache.lucene.analysis.PerFieldAnalyzerWrapper` | `analyzer`
`private static org.slf4j.Logger` | `log`

Fields inherited from class org.apache.lucene.analysis.Analyzer
`overridesTokenStreamMethod`

Constructor Summary
`LuceneAnalyzer(Book book)`

Method Summary
`org.apache.lucene.analysis.TokenStream` | `tokenStream(String fieldName, Reader reader)`

Methods inherited from class org.apache.lucene.analysis.Analyzer
`close, getOffsetGap, getPositionIncrementGap, getPreviousTokenStream, reusableTokenStream, setOverridesTokenStreamMethod, setPreviousTokenStream`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### analyzer

    private org.apache.lucene.analysis.PerFieldAnalyzerWrapper analyzer

### log

    private static final org.slf4j.Logger log

Constructor Detail

### LuceneAnalyzer

    public LuceneAnalyzer(Book book)

Method Detail

### tokenStream

    public org.apache.lucene.analysis.TokenStream tokenStream(String fieldName,
                                                              Reader reader)

  Specified by:
    `tokenStream` in class `org.apache.lucene.analysis.Analyzer`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¨ 2003-2015
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD